Index: branches/2016/dev_CNRS_2016/NEMOGCM/SETTE/input_ORCA2_LIM3_AGRIF.cfg
===================================================================
--- branches/2016/dev_CNRS_2016/NEMOGCM/SETTE/input_ORCA2_LIM3_AGRIF.cfg	(revision 7285)
+++ branches/2016/dev_CNRS_2016/NEMOGCM/SETTE/input_ORCA2_LIM3_AGRIF.cfg	(revision 7285)
@@ -0,0 +1,1 @@
+ORCA2_LIM_nemo_v3.7.tar ORCA2_LIM_nemo_v3.7
Index: branches/2016/dev_CNRS_2016/NEMOGCM/SETTE/input_ORCA2_LIM3_OBS.cfg
===================================================================
--- branches/2016/dev_CNRS_2016/NEMOGCM/SETTE/input_ORCA2_LIM3_OBS.cfg	(revision 7285)
+++ branches/2016/dev_CNRS_2016/NEMOGCM/SETTE/input_ORCA2_LIM3_OBS.cfg	(revision 7285)
@@ -0,0 +1,1 @@
+ORCA2_LIM_nemo_v3.7.tar ORCA2_LIM_nemo_v3.7
Index: branches/2016/dev_CNRS_2016/NEMOGCM/SETTE/input_ORCA2_LIM3_PISCES.cfg
===================================================================
--- branches/2016/dev_CNRS_2016/NEMOGCM/SETTE/input_ORCA2_LIM3_PISCES.cfg	(revision 7285)
+++ branches/2016/dev_CNRS_2016/NEMOGCM/SETTE/input_ORCA2_LIM3_PISCES.cfg	(revision 7285)
@@ -0,0 +1,1 @@
+ORCA2_LIM_nemo_v3.7.tar  ORCA2_LIM_PISCES_v3.7
Index: branches/2016/dev_CNRS_2016/NEMOGCM/SETTE/input_ORCA2_LIM_AGRIF.cfg
===================================================================
--- branches/2016/dev_CNRS_2016/NEMOGCM/SETTE/input_ORCA2_LIM_AGRIF.cfg	(revision 7283)
+++ 	(revision )
@@ -1,1 +1,0 @@
-ORCA2_LIM_nemo_v3.7.tar ORCA2_LIM_nemo_v3.7
Index: branches/2016/dev_CNRS_2016/NEMOGCM/SETTE/input_ORCA2_LIM_OBS.cfg
===================================================================
--- branches/2016/dev_CNRS_2016/NEMOGCM/SETTE/input_ORCA2_LIM_OBS.cfg	(revision 7283)
+++ 	(revision )
@@ -1,1 +1,0 @@
-ORCA2_LIM_nemo_v3.7.tar ORCA2_LIM_nemo_v3.7
Index: branches/2016/dev_CNRS_2016/NEMOGCM/SETTE/input_ORCA2_LIM_PISCES.cfg
===================================================================
--- branches/2016/dev_CNRS_2016/NEMOGCM/SETTE/input_ORCA2_LIM_PISCES.cfg	(revision 7283)
+++ 	(revision )
@@ -1,1 +1,0 @@
-ORCA2_LIM_nemo_v3.7.tar  ORCA2_LIM_PISCES_v3.7
Index: branches/2016/dev_CNRS_2016/NEMOGCM/SETTE/sette.sh
===================================================================
--- branches/2016/dev_CNRS_2016/NEMOGCM/SETTE/sette.sh	(revision 7283)
+++ branches/2016/dev_CNRS_2016/NEMOGCM/SETTE/sette.sh	(revision 7285)
@@ -133,16 +133,15 @@
 cp BATCH_TEMPLATE/${JOB_PREFIX}-${COMPILER} job_batch_template || exit
 # Description of configuration tested:
-# GYRE             :  1 &  2
-# ORCA2_LIM_PISCES :  3 &  4
-# ORCA2_OFF_PISCES :  5 &  6
-# ORCA2_LIM3       :  7 &  8
-# AMM12            :  9 & 10
-# SAS              : 11      fos SAS there is no solver so is useless to test REPRO
-# ISOMIP           : 13 & 14
-# ORCA2_LIM_OBS    : 15
-# ORCA2_AGRIF_LIM  : 16 & 17 
-#                    18 & 19 
-
-for config in 1 2 3 4 5 6 7 8 9 10 11 13 14 15 16 
+# GYRE              :  1 &  2
+# ORCA2_LIM3_PISCES :  3 &  4
+# ORCA2_OFF_PISCES  :  5 &  6
+# AMM12             :  7 &  8
+# SAS               :  9     fos SAS there is no solver so is useless to test REPRO
+# ISOMIP            : 10 & 11
+# ORCA2_LIM3_OBS    : 12
+# ORCA2_AGRIF_LIM   : 13 
+#                   
+
+for config in 1 2 3 4 5 6 7 8 9 10 11 12 13
 
 do
@@ -159,5 +158,5 @@
     . ./prepare_exe_dir.sh
     JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=4
+    NPROC=32
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}  
@@ -170,7 +169,7 @@
     set_namelist namelist_cfg ln_read_cfg .false.
     set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg jpni 2
-    set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg jpnij 4
+    set_namelist namelist_cfg jpni 4
+    set_namelist namelist_cfg jpnj 8
+    set_namelist namelist_cfg jpnij 32
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -195,7 +194,7 @@
     set_namelist namelist_cfg ln_read_cfg .false.
     set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg jpni 2
-    set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg jpnij 4
+    set_namelist namelist_cfg jpni 4
+    set_namelist namelist_cfg jpnj 8
+    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_cfg cn_ocerst_in \"GYRE_LONG_00000060_restart\"
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -222,16 +221,16 @@
 if [ ${config} -eq 2 ] ;  then
     ## Reproducibility tests for GYRE
-    export TEST_NAME="REPRO_1_4"
-    cd ${CONFIG_DIR}
-    . ./makenemo -m ${CMP_NAM} -n GYRE_4 -r GYRE -j 8 add_key "key_mpp_rep" del_key ${DEL_KEYS}
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=4
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"GYRE_14\"
+    export TEST_NAME="REPRO_4_8"
+    cd ${CONFIG_DIR}
+    . ./makenemo -m ${CMP_NAM} -n GYRE_32 -r GYRE -j 8 add_key "key_mpp_rep" del_key ${DEL_KEYS}
+    cd ${SETTE_DIR}
+    . ./param.cfg
+    . ./all_functions.sh
+    . ./prepare_exe_dir.sh
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=32
+    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"GYRE_48\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 60
@@ -241,7 +240,35 @@
     set_namelist namelist_cfg ln_linssh .true.
     set_namelist namelist_cfg ln_read_cfg .false.
-    set_namelist namelist_cfg jpni 1
+    set_namelist namelist_cfg jpni 4
+    set_namelist namelist_cfg jpnj 8
+    set_namelist namelist_cfg jpnij 32
+    if [ ${USING_MPMD} == "yes" ] ; then
+       set_xio_using_server iodef.xml true
+    else
+       set_xio_using_server iodef.xml false
+    fi
+    cd ${SETTE_DIR}
+    . ./prepare_job.sh input_GYRE.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
+
+    cd ${SETTE_DIR}
+    export TEST_NAME="REPRO_8_4"
+    . ./prepare_exe_dir.sh
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=32
+    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"GYRE_84\"
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend 60
+    set_namelist namelist_cfg nn_fwb 0
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg ln_linssh .true.
+    set_namelist namelist_cfg ln_read_cfg .false.
+    set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg jpnij 4
+    set_namelist namelist_cfg jpnij 32
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -254,49 +281,21 @@
     . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 
-    cd ${SETTE_DIR}
-    export TEST_NAME="REPRO_2_2"
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=4
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"GYRE_22\"
-    set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 60
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_linssh .true.
-    set_namelist namelist_cfg ln_read_cfg .false.
-    set_namelist namelist_cfg jpni 2
-    set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg jpnij 4
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    cd ${SETTE_DIR}
-    . ./prepare_job.sh input_GYRE.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-
-fi
-
-# TESTS FOR ORCA2_LIM_PISCES CONFIGURATION
+fi
+
+# TESTS FOR ORCA2_LIM3_PISCES CONFIGURATION
 if [ ${config} -eq 3 ] ;  then
-    ## Restartability tests for ORCA2_LIM_PISCES
+    ## Restartability tests for ORCA2_LIM3_PISCES
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2LIMPIS_LONG -r ORCA2_LIM_PISCES -j 8 del_key ${DEL_KEYS}
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=8
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"O2LP_LONG\"
+    . ./makenemo -m ${CMP_NAM} -n ORCA2LIM3PIS_LONG -r ORCA2_LIM3_PISCES -j 8 del_key ${DEL_KEYS}
+    cd ${SETTE_DIR}
+    . ./param.cfg
+    . ./all_functions.sh
+    . ./prepare_exe_dir.sh
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=32
+    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"O2L3P_LONG\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 150
@@ -306,7 +305,7 @@
     set_namelist namelist_cfg ln_linssh .false.
     set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg jpni 2
-    set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg jpnij 8
+    set_namelist namelist_cfg jpni 4
+    set_namelist namelist_cfg jpnj 8
+    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_top_cfg ln_trcdta .false.
     set_namelist namelist_top_cfg ln_diatrc .false.
@@ -327,5 +326,5 @@
     fi
     cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_LIM_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
+    . ./prepare_job.sh input_ORCA2_LIM3_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
     
     cd ${SETTE_DIR}
@@ -333,5 +332,5 @@
     . ./prepare_exe_dir.sh
     cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"O2LP_SHORT\"
+    set_namelist namelist_cfg cn_exp \"O2L3P_SHORT\"
     set_namelist namelist_cfg nn_it000 76
     set_namelist namelist_cfg nn_itend 150
@@ -343,13 +342,13 @@
     set_namelist namelist_cfg ln_linssh .false.
     set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg jpni 2
-    set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg jpnij 8
+    set_namelist namelist_cfg jpni 4
+    set_namelist namelist_cfg jpnj 8
+    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_top_cfg ln_diatrc .false.
     set_namelist namelist_top_cfg ln_rsttr .true.
     set_namelist namelist_top_cfg nn_rsttr 2
-    set_namelist namelist_cfg cn_ocerst_in \"O2LP_LONG_00000075_restart\"
-    set_namelist namelist_ice_cfg cn_icerst_in \"O2LP_LONG_00000075_restart_ice\"
-    set_namelist namelist_top_cfg cn_trcrst_in \"O2LP_LONG_00000075_restart_trc\"
+    set_namelist namelist_cfg cn_ocerst_in \"O2LP3_LONG_00000075_restart\"
+    set_namelist namelist_ice_cfg cn_icerst_in \"O2LP3_LONG_00000075_restart_ice\"
+    set_namelist namelist_top_cfg cn_trcrst_in \"O2LP3_LONG_00000075_restart_trc\"
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust
     # if not you need input files, and for tests is not necessary
@@ -367,7 +366,7 @@
         L_NPROC=$(( $i - 1 ))
         L_NPROC=`printf "%04d\n" ${L_NPROC}`
-        ln -sf ../LONG/O2LP_LONG_00000075_restart_${L_NPROC}.nc .
-        ln -sf ../LONG/O2LP_LONG_00000075_restart_trc_${L_NPROC}.nc .
-        ln -sf ../LONG/O2LP_LONG_00000075_restart_ice_${L_NPROC}.nc .
+        ln -sf ../LONG/O2LP3_LONG_00000075_restart_${L_NPROC}.nc .
+        ln -sf ../LONG/O2LP3_LONG_00000075_restart_trc_${L_NPROC}.nc .
+        ln -sf ../LONG/O2LP3_LONG_00000075_restart_ice_${L_NPROC}.nc .
     done
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -377,5 +376,5 @@
     fi
     cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_LIM_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
+    . ./prepare_job.sh input_ORCA2_LIM3_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
     cd ${SETTE_DIR}
     . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
@@ -383,14 +382,14 @@
 
 if [ ${config} -eq 4 ] ;  then
-    ## Reproducibility tests for ORCA2_LIM_PISCES
-    export TEST_NAME="REPRO_4_4"
-    cd ${CONFIG_DIR}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2LIMPIS_16 -r ORCA2_LIM_PISCES -j 8 add_key "key_mpp_rep" del_key ${DEL_KEYS}
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=16
+    ## Reproducibility tests for ORCA2_LIM3_PISCES
+    export TEST_NAME="REPRO_4_8"
+    cd ${CONFIG_DIR}
+    . ./makenemo -m ${CMP_NAM} -n ORCA2LIM3PIS_32 -r ORCA2_LIM3_PISCES -j 8 add_key "key_mpp_rep" del_key ${DEL_KEYS}
+    cd ${SETTE_DIR}
+    . ./param.cfg
+    . ./all_functions.sh
+    . ./prepare_exe_dir.sh
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=32
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
@@ -403,6 +402,6 @@
     set_namelist namelist_cfg ln_linssh .false.
     set_namelist namelist_cfg jpni 4
-    set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg jpnij 16
+    set_namelist namelist_cfg jpnj 8
+    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_top_cfg ln_trcdta .false.
     set_namelist namelist_top_cfg ln_diatrc .false.
@@ -425,13 +424,13 @@
     fi
     cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_LIM_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-
-    cd ${SETTE_DIR}
-    export TEST_NAME="REPRO_2_8"
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=16
+    . ./prepare_job.sh input_ORCA2_LIM3_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
+
+    cd ${SETTE_DIR}
+    export TEST_NAME="REPRO_4_8"
+    . ./prepare_exe_dir.sh
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=32
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
@@ -439,9 +438,10 @@
     set_namelist namelist_cfg nn_itend 75
     set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg jpni 2
-    set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg jpnij 16
-#   set_namelist namelist_cfg nn_solv 2
+    set_namelist namelist_cfg ln_read_cfg .true.
+	 set_namelist namelist_cfg ln_linssh .false.
+    set_namelist namelist_cfg nn_fwb 0
+    set_namelist namelist_cfg jpni 8
+    set_namelist namelist_cfg jpnj 4
+    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_top_cfg ln_trcdta .false.
     set_namelist namelist_top_cfg ln_diatrc .false.
@@ -464,5 +464,5 @@
     fi
     cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_LIM_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
+    . ./prepare_job.sh input_ORCA2_LIM3_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
     cd ${SETTE_DIR}
     . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
@@ -480,5 +480,5 @@
     . ./prepare_exe_dir.sh
     JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=8
+    NPROC=32
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
@@ -489,8 +489,8 @@
     set_namelist namelist_cfg ln_clobber .true.
     set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .true.
-    set_namelist namelist_cfg jpni 2
-    set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg jpnij 8
+    set_namelist namelist_cfg ln_linssh .false.
+    set_namelist namelist_cfg jpni 4
+    set_namelist namelist_cfg jpnj 8
+    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_top_cfg ln_trcdta .false.
     set_namelist namelist_top_cfg ln_diatrc .false.
@@ -525,8 +525,8 @@
     set_namelist namelist_cfg ln_clobber .true.
     set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .true.
-    set_namelist namelist_cfg jpni 2
+    set_namelist namelist_cfg ln_linssh .false.
+    set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg jpnij 8
+    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_top_cfg ln_diatrc .false.
     set_namelist namelist_top_cfg ln_rsttr .true.
@@ -565,11 +565,11 @@
     export TEST_NAME="REPRO_4_4"
     cd ${CONFIG_DIR}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2OFFPIS_16 -r ORCA2_OFF_PISCES -j 8 add_key "key_mpp_rep" del_key ${DEL_KEYS}
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=16
+    . ./makenemo -m ${CMP_NAM} -n ORCA2OFFPIS_32 -r ORCA2_OFF_PISCES -j 8 add_key "key_mpp_rep" del_key ${DEL_KEYS}
+    cd ${SETTE_DIR}
+    . ./param.cfg
+    . ./all_functions.sh
+    . ./prepare_exe_dir.sh
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=32
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
@@ -579,8 +579,8 @@
     set_namelist namelist_cfg ln_clobber .true.
     set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .true.
+    set_namelist namelist_cfg ln_linssh .false.
     set_namelist namelist_cfg jpni 4
-    set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg jpnij 16
+    set_namelist namelist_cfg jpnj 8
+    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_top_cfg ln_trcdta .false.
     set_namelist namelist_top_cfg ln_diatrc .false.
@@ -608,8 +608,8 @@
 
     cd ${SETTE_DIR}
-    export TEST_NAME="REPRO_2_8"
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=16
+    export TEST_NAME="REPRO_4_8"
+    . ./prepare_exe_dir.sh
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=32
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
@@ -619,8 +619,8 @@
     set_namelist namelist_cfg ln_clobber .true.
     set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .true.
-    set_namelist namelist_cfg jpni 2
+    set_namelist namelist_cfg ln_linssh .false.
+    set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg jpnij 16
+    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_top_cfg ln_trcdta .false.
     set_namelist namelist_top_cfg ln_diatrc .false.
@@ -648,147 +648,6 @@
 fi
 
-
-# TESTS FOR ORCA2_LIM3 CONFIGURATION
+# TESTS FOR AMM12 CONFIGURATION
 if [ ${config} -eq 7 ] ;  then
-    ## Restartability tests for ORCA2_LIM3
-    export TEST_NAME="LONG"
-    cd ${CONFIG_DIR}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2LIM3_LONG -r ORCA2_LIM3 -j 8 del_key ${DEL_KEYS}
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=4
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"O2L3_LONG\"
-    set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 150
-    set_namelist namelist_cfg nn_stock 75
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .false.
-    set_namelist namelist_cfg ln_hpg_sco .true.
-    set_namelist namelist_cfg nn_msh 1
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg ln_hpg_sco .true.
-    set_namelist namelist_cfg jpni 2
-    set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg jpnij 4
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_LIM3.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
-    
-    cd ${SETTE_DIR}
-    export TEST_NAME="SHORT"
-    . ./prepare_exe_dir.sh
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"O2L3_SHORT\"
-    set_namelist namelist_cfg nn_it000 76
-    set_namelist namelist_cfg nn_itend 150
-    set_namelist namelist_cfg nn_stock 75
-    set_namelist namelist_cfg ln_rstart .true.
-    set_namelist namelist_cfg nn_rstctl 2
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .false.
-    set_namelist namelist_cfg ln_hpg_sco .true.
-    set_namelist namelist_cfg nn_msh 1
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg ln_hpg_sco .true.
-    set_namelist namelist_cfg jpni 2
-    set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg jpnij 4
-    set_namelist namelist_cfg cn_ocerst_in \"O2L3_LONG_00000075_restart\"
-    set_namelist namelist_ice_cfg cn_icerst_in \"O2L3_LONG_00000075_restart_ice\"
-    for (( i=1; i<=$NPROC; i++)) ; do
-        L_NPROC=$(( $i - 1 ))
-        L_NPROC=`printf "%04d\n" ${L_NPROC}`
-        ln -sf ../LONG/O2L3_LONG_00000075_restart_${L_NPROC}.nc .
-        ln -sf ../LONG/O2L3_LONG_00000075_restart_ice_${L_NPROC}.nc .
-        ln -sf ../LONG/O2L3_LONG_icebergs_00000075_restart_${L_NPROC}.nc O2L3_LONG_00000075_restart_icebergs_${L_NPROC}.nc
-    done
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_LIM3.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-fi
-
-if [ ${config} -eq 8 ] ;  then
-    ## Reproducibility tests for ORCA2_LIM3
-    export TEST_NAME="REPRO_8_4"
-    cd ${CONFIG_DIR}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2LIM3_32 -r ORCA2_LIM3 -j 8 add_key "key_mpp_rep" del_key ${DEL_KEYS}
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=32
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 75
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .false.
-    set_namelist namelist_cfg ln_hpg_sco .true.
-    set_namelist namelist_cfg jpni 8
-    set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg jpnij 32
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_LIM3.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-
-    cd ${SETTE_DIR}
-    export TEST_NAME="REPRO_4_8"
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=32
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 75
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .false.
-    set_namelist namelist_cfg ln_hpg_sco .true.
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg jpni 4
-    set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg jpnij 32
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-
-    cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_LIM3.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-fi
-
-
-# TESTS FOR AMM12 CONFIGURATION
-if [ ${config} -eq 9 ] ;  then
     ## Restartability tests for AMM12
     export TEST_NAME="LONG"
@@ -856,5 +715,5 @@
 fi
 
-if [ ${config} -eq 10 ] ;  then
+if [ ${config} -eq 8 ] ;  then
 ## Reproducibility tests for AMM12
     export TEST_NAME="REPRO_8_4"
@@ -918,5 +777,5 @@
 
 # TESTS FOR ORCA2_SAS_LIM CONFIGURATION
-if [ ${config} -eq 11 ] ;  then
+if [ ${config} -eq 9 ] ;  then
     ## Restartability tests for SAS
     export TEST_NAME="LONG"
@@ -985,5 +844,5 @@
 
 # TESTS FOR ISOMIP CONFIGURATION
-if [ ${config} -eq 13 ] ;  then
+if [ ${config} -eq 10 ] ;  then
     ## Restartability tests for ISOMIP
     export TEST_NAME="LONG"
@@ -995,5 +854,5 @@
     . ./prepare_exe_dir.sh
     JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=4
+    NPROC=32
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
@@ -1006,7 +865,7 @@
     set_namelist namelist_cfg ln_linssh .true.
     set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg jpni 2
-    set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg jpnij 4
+    set_namelist namelist_cfg jpni 4
+    set_namelist namelist_cfg jpnj 8
+    set_namelist namelist_cfg jpnij 32
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -1031,7 +890,7 @@
     set_namelist namelist_cfg ln_linssh .true.
     set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg jpni 2
-    set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg jpnij 4
+    set_namelist namelist_cfg jpni 8
+    set_namelist namelist_cfg jpnj 4
+    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_cfg cn_ocerst_in \"ISOMIP_LONG_00000048_restart\"
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -1055,15 +914,15 @@
     . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 fi
-if [ ${config} -eq 14 ] ;  then
+if [ ${config} -eq 11 ] ;  then
     ## Reproducibility tests for ISOMIP
-    export TEST_NAME="REPRO_1_4"
-    cd ${CONFIG_DIR}
-    . ./makenemo -m ${CMP_NAM} -n ISOMIP_4 -r ISOMIP -j 8 add_key "key_mpp_rep" del_key ${DEL_KEYS}
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=4
+    export TEST_NAME="REPRO_4_8"
+    cd ${CONFIG_DIR}
+    . ./makenemo -m ${CMP_NAM} -n ISOMIP_32 -r ISOMIP -j 8 add_key "key_mpp_rep" del_key ${DEL_KEYS}
+    cd ${SETTE_DIR}
+    . ./param.cfg
+    . ./all_functions.sh
+    . ./prepare_exe_dir.sh
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=32
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
@@ -1076,35 +935,35 @@
     set_namelist namelist_cfg ln_linssh .true.
     set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg jpni 1
+    set_namelist namelist_cfg jpni 4
+    set_namelist namelist_cfg jpnj 8
+    set_namelist namelist_cfg jpnij 32
+    if [ ${USING_MPMD} == "yes" ] ; then
+       set_xio_using_server iodef.xml true
+    else
+       set_xio_using_server iodef.xml false
+    fi
+    cd ${SETTE_DIR}
+    . ./prepare_job.sh input_ISOMIP.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
+
+    cd ${SETTE_DIR}
+    export TEST_NAME="REPRO_8_4"
+    . ./prepare_exe_dir.sh
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=32
+    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"ISOMIP_22\"
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend 48
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg ln_read_cfg .true.
+    set_namelist namelist_cfg ln_linssh .true.
+    set_namelist namelist_cfg nn_fwb 0
+    set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg jpnij 4
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ISOMIP.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-
-    cd ${SETTE_DIR}
-    export TEST_NAME="REPRO_2_2"
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=4
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"ISOMIP_22\"
-    set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 48
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .true.
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg jpni 2
-    set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg jpnij 4
+    set_namelist namelist_cfg jpnij 32
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -1121,7 +980,7 @@
 ## Test assimilation interface code, OBS and ASM for reproducibility
 ## Restartability not tested (ASM code not restartable while increments are being applied)
-if [ ${config} -eq 15 ] ; then
+if [ ${config} -eq 12 ] ; then
    ## Reproducibility tests for ORCA2_LIM_OBS
-    export TEST_NAME="REPRO_4_4"
+    export TEST_NAME="REPRO_4_8"
     cd ${CONFIG_DIR}
     . ./makenemo -m ${CMP_NAM} -n ORCA2_LIM3_OBS -r ORCA2_LIM3 -j 8 add_key "key_mpp_rep key_asminc" del_key ${DEL_KEYS}
@@ -1131,5 +990,5 @@
     . ./prepare_exe_dir.sh
     JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=16
+    NPROC=32
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
@@ -1142,6 +1001,6 @@
     set_namelist namelist_cfg ln_linssh .false.
     set_namelist namelist_cfg jpni 4
-    set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg jpnij 16
+    set_namelist namelist_cfg jpnj 8
+    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_cfg ln_diaobs .true.
     set_namelist namelist_cfg ln_t3d .true.
@@ -1162,13 +1021,13 @@
     fi
     cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_LIM_OBS.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
+    . ./prepare_job.sh input_ORCA2_LIM3_OBS.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
     cd ${SETTE_DIR}
     . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 
    cd ${SETTE_DIR}
-    export TEST_NAME="REPRO_2_8"
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=16
+    export TEST_NAME="REPRO_8_4"
+    . ./prepare_exe_dir.sh
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=32
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
@@ -1180,7 +1039,7 @@
     set_namelist namelist_cfg ln_read_cfg .true.
     set_namelist namelist_cfg ln_linssh .false.
-    set_namelist namelist_cfg jpni 2
-    set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg jpnij 16
+    set_namelist namelist_cfg jpni 8
+    set_namelist namelist_cfg jpnj 4
+    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_cfg ln_diaobs .true.
     set_namelist namelist_cfg ln_t3d .true.
@@ -1201,10 +1060,10 @@
     fi
     cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_LIM_OBS.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
+    . ./prepare_job.sh input_ORCA2_LIM3_OBS.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
     cd ${SETTE_DIR}
     . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 fi
 # TEST FOR ORCA2_LIM_AGRIF : simple test of running AGRIF (no restartability neither reproducibility tests)
-if [ ${config} -eq 16 ] ;  then
+if [ ${config} -eq 13 ] ;  then
     ## ORCA2_LIM with Agulhas AGRIF zoom in MPI
     export TEST_NAME="SHORT"
